<refentry id="structfield.element">
<?dbhtml filename="structfield.html"?>
<refentryinfo>
<pubdate>$Date: 2002-06-12 19:19:37 +0800 (Wed, 12 Jun 2002) $</pubdate>
<releaseinfo>$Revision: 1666 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>structfield</secondary></indexterm>
<refentrytitle>structfield</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>structfield</refname>
<refpurpose>&structfield.purpose;</refpurpose>
</refnamediv>

&structfield.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>StructField</sgmltag> is a wrapper for the name of a field
in a <literal>struct</literal> (a syntactic element of the C
programming language) or a field in an equivalent construct in
another programming language.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.inline;
</para>
</refsect2>


&structfield.parents.gen;
&structfield.children.gen;
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&structfield.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&structfield.example.1.txt;</programlisting>
</informalexample>

<anchor id="ex.os.structfield.1" role="HACK-ex.out.start"/>
&structfield.example.1.gen;
<anchor id="ex.oe.structfield.1" role="HACK-ex.out.end"/>

&structfield.example.seealso.gen;
</refsect1>
</refentry>

